Loading...
Searching...
No Matches
config_psa.h File Reference

PSA crypto configuration options (set of defines) More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PSA_WANT_KEY_TYPE_DERIVE 1
#define | PSA_WANT_KEY_TYPE_RAW_DATA 1

## Detailed Description

PSA crypto configuration options (set of defines)

This set of compile-time options takes settings defined in include/mbedtls/config.h and include/psa/crypto_config.h and uses those definitions to define symbols used in the library code.

Users and integrators should not edit this file, please edit include/mbedtls/config.h for MBEDTLS_XXX settings or include/psa/crypto_config.h for PSA_WANT_XXX settings.

Definition in file config_psa.h.

## Macro Definition Documentation

## PSA_WANT_KEY_TYPE_DERIVE

#define PSA_WANT_KEY_TYPE_DERIVE 1

Definition at line 818 of file config_psa.h.

## PSA_WANT_KEY_TYPE_RAW_DATA

#define PSA_WANT_KEY_TYPE_RAW_DATA 1

Definition at line 819 of file config_psa.h.